use strict;
use warnings;
use Module::Build;

my $builder = Module::Build->new(
    module_name         => 'MojoX::Log::Fast',
    license             => 'mit',
    dist_author         => q{Alex Efros <powerman@cpan.org>},
    dist_version_from   => 'lib/MojoX/Log/Fast.pm',
    release_status      => 'stable',
    configure_requires => {
        'Module::Build'         => 0,
    },
    build_requires => {
        'Test::More'            => 0,
        'Test::Exception'       => 0,
    },
    requires => {
        'perl'                  => '5.10.0',
        'version'               => '0.77',
        'Mojolicious'           => 0,
        'Log::Fast'             => 0,
    },
    recommends => {
        'Test::CheckManifest'   => '0.9',
        'Test::Perl::Critic'    => 0,
        'Test::Pod::Coverage'   => '1.08',
        'Pod::Coverage'         => '0.18',
        'Test::Pod'             => '1.22',
    },
    add_to_cleanup     => [ 'MojoX-Log-Fast-*' ],
    create_makefile_pl => 'traditional',
);

$builder->create_build_script();
